/*

  RTC Clock Module DS3231 AT24C32 I2C (Read clock / date)

  Parts required:
  - Arduino Board
  - RTC Clock Module DS3231 AT24C32 I2C

Libary Required:
  - DS3231 (Included in Source Code)

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 6 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <DS3231.h>                   // include library 
DS3231 rtc(SDA, SCL);                 // create object rtc from DS3231

void setup()
{
  Serial.begin(9600);                 // start Serial Monitor
  rtc.begin();                        // start rtc
}

void loop() {

  Serial.print(rtc.getDOWStr());      // get name of day and print to Serial Monitor
  Serial.print(" ");                  // print space to Serial Monitor

  Serial.print(rtc.getDateStr());     // get Date and print to Serial Monitor
  Serial.print(" -- ");               // print --

  Serial.println(rtc.getTimeStr());   // get Time and print to Serial Monitor

  delay (1000);                       // wait 1000ms                
}
